package cn.com.taiji.track.event;

import io.netty.channel.ChannelId;
import org.springframework.context.ApplicationEvent;

/**
 * @author chenfangchao
 * @title: ChannelRemoveEvent
 * @projectName ax-geomesa-redis
 * @description: TODO
 * @date 2022/9/22 6:00 PM
 */
public class FocusTrackChannelRemoveEvent extends ApplicationEvent {

    private ChannelId channelId;

    public FocusTrackChannelRemoveEvent(Object source, ChannelId channelId) {
        super(source);
        this.channelId = channelId;
    }

    public ChannelId getChannelId() {
        return channelId;
    }

    public void setChannelId(ChannelId channelId) {
        this.channelId = channelId;
    }
}
